/* Aide selecteurs css : https://www.w3schools.com/cssref/css_selectors.php */

/* PARTIE CIGALA */

* { margin: 1px; padding: 1px; }

body {
  font-size: 11pt;
  font-family: sans-serif;
  margin: 0 1rem;
  background-color: #eee;
  overflow-y: scroll;
}
#head {
  margin: 0 auto;
  min-width: 700px;
  max-width: 1100px;
  box-shadow: 0 -0.3rem 0.3rem 0.2rem #aaa;
  background-color: #fff;
}
#head img {
  float: right;
  margin: 0.5rem 1rem;
  max-height: 5rem;
}
#head h1 {
  padding: 1.5rem 1rem;
  font-size: 1.8rem;
  text-shadow: 0.05rem 0.05rem 0.1rem #aaa;
}
#head h1 a {
  text-decoration: none;
  color: inherit;
}
menu {
  clear: both;
  margin: 0 auto;
  list-style-type: none;
  text-align: center;
}
menu li {
  display: inline-block;
}
menu li a {
  color: #666;
  font-size: 0.9rem;
  font-variant: small-caps;
  text-decoration: none;
  display: block;
  padding: 0.5rem;
  border-bottom: 0.2rem solid transparent;
}
menu li.current a {
  border-bottom: 0.2rem solid #0f7e97;
}
menu li a:hover {
  color: #000;
}
#main {
  margin: 0 auto 1rem auto;
  min-width: 700px;
  max-width: 1100px;
  padding: 1.5rem;
  line-height: 130%;
  box-shadow: 0 0.2rem 0.3rem 0.2rem #aaa;
  box-sizing: border-box;
  background-color: #fff;
}
#main h2, #main h3, #main h4, #main h5, #main h6 {
  color: #333;
  margin: 1.5rem 0 1.0rem 0;
}
#main h2 {
  font-weight: bold;
  font-size: 1.6rem;
  border-bottom: 1px solid ##0f7e97;
}
#main h2:first-of-type {
  margin-top: 0;
}
#main h3 {
  font-weight: bold;
  font-size: 1.4rem;
}
#main h3:first-of-type {
  margin-top: 0.5rem;
}
#main h2 ~ * ~ h3:first-of-type {
  margin-top: 1.5rem;
}
#main h4 {
  font-weight: bold;
  font-size: 1.2rem;
}
#main h5 {
  font-weight: normal;
  font-size: 1.2rem;
}
#main h6 {
  font-weight: normal;
  font-size: 1rem;
}
#main h2 a,
#main h3 a,
#main h4 a,
#main h5 a,
#main h6 a {
  text-decoration: inherit;
  color: inherit;
}
#main p, #main ul, #main ol {
  margin: 0 0 1rem 0;
  line-height: 130%;
  text-align: justify;
}
#content > p:last-child, #content > ul:last-child, #content > ol:last-child {
  margin-bottom: 0;
}
article > div > p:last-child, article > div > ul:last-child, article > div > ol:last-child {
  margin-bottom: 0 !important;
}
#main p + ul, #main p + ol {
  margin-top: -0.5rem;
}
#main ul, #main ol {
  margin-left: 2rem;
}
#main ul li, #main ol li {
  margin-top: 0.5rem;
}
#main ul li p, #main ol li p {
  margin-bottom: 0.5rem;
}
#main ul li:first-child, #main ol li:first-child {
  margin-top: 0;
}
#main li ul li:first-child, #main li ol li:first-child {
  margin-top: 0.5rem;
}
#main hr {
  width: 86%;
  margin: 1rem auto 1.5rem auto;
  border: none;
  border-top: 1px solid #aaa;
  height: 0;
}
#main .hidden { display: none; }
#main .floatleft {
  float: left;
  margin: 0 1rem 0.5rem 0;
}
#main .floatright {
  float: right;
  margin: 0 0 0.5rem 1rem;
}
#main .centered {
  display: block;
  text-align: center;
}
#main a.nodec { text-decoration: none; }
#main a {
  color: #079;
  text-decoration: underline solid #079;
}
#main a:hover {
  color: #049;
  text-decoration-color: #079;
}
#main blockquote {
  border-left: 0.3rem solid #ccc;
  margin: 0 1.5rem 0 2rem;
  padding: 0 0.5rem;
  font-family: serif;
  font-style: italic;
  text-align: justify;
  color: #333;
}
#main p.info {
  font-style: italic;
  margin: 1rem 0;
  color: #666;
}
#main article {
  clear: both;
  background: #fafafa;
  border: 1px solid #aaa;
  padding: 1rem;
  margin-top: 1.5rem;
}
#main article header {
  margin-bottom: 1rem;
}
#main article header h2 {
  font-family: sans-serif;
  border-bottom: none;
  margin-bottom: 0;
}
#main article header time {
  color: #666;
  font-size: 0.9rem;
  text-align: right;
}

/* @media (max-width: 700px) { */
/*   menu li { display: block; } */
/*   menu li.current a { */
/*     color: #fff; */
/*     background-color: #079; */
/*   } */
/*   menu li a:hover { */
/*     color: #000; */
/*   } */
/*   #main img { */
/*     max-width: 100%; */
/*     height: auto; */
/*   } */
/*   #main .floatright, #main .floatleft { */
/*     float: none; */
/*     display: block; */
/*     text-align: center; */
/*     margin-left: auto; */
/*     margin-right: auto; */
/*   } */
/* } */




/* PARTIE PERSO */

table, th, td {
  border:1px solid black;
  border-collapse: collapse;
}

#main .column {
  float: left;
  width: 47%;
  padding: 10px;
}

/* Clear floats after the columns */
#main .row:after {
  content: "";
  display: table;
  clear: both;
}

/* @media screen and (max-width: 600px) { */
/*   #main .column { */
/*     width: 100%; */
/*   } */
/* } */

#main .column li {
    padding-left: 0pt;
    padding-right: 0pt;
    padding-top: 0pt;
    padding-bottom: 0pt;    
}


#main .emploidutemps {
    font-size: 11pt;
    text-align: center;
    border-collapse: collapse;
    line-height: 115%;
    width: 100%;
}
#main .emploidutemps td {
    border-style: dotted;
    border-width: 1pt;
    padding-left: 2pt;
    padding-right: 2pt;
    padding-top: 2pt;
    padding-bottom: 2pt; 
}
#main .emploidutemps td a {
    color: #000;
    text-decoration: none;
}
#main .emploidutemps td a:hover {
    color: #000;
}
#main .emploidutemps th {
    padding-left: 2pt;
    padding-right: 2pt;
}
#main .emploidutemps .titre {
    
}
#main .emploidutemps .prof {
    color: #666;    
}
#main .emploidutemps .salle {
    color: #c22;    
}
#main .emploidutemps .majeure {
    
}



/* explication :
   dans main
   après #show-maths (si checked)
   dans emploi du temps
   dans mineure-math
*/
#main #show-maths:checked ~ .emploidutemps .mineure-maths {
    background-color: #ffe6e6;
}
#main #show-maths:not(:checked) ~ .emploidutemps .mineure-maths * {
	color: transparent;
}

/* #main #show-A:checked ~ #show-eco { */
/* 	display: none; */
/* } */
/* #main #show-A:checked ~ #show-eco-label { */
/* 	display: none; */
/* } */

#main #show-eco:checked ~ .emploidutemps .mineure-eco {
    background-color: #e6f2ff;
}
#main #show-eco:not(:checked) ~ .emploidutemps .mineure-eco * {
	color: transparent;
}


/* #main #show-A:checked ~ .emploidutemps .groupe-B { */
/*     background-color: #ffffff; */
/* } */
/* #main #show-B:checked ~ .emploidutemps .groupe-A { */
/*     background-color: #ffffff; */
/* } */
/* #main #show-A:checked ~ .emploidutemps .groupe-B * { */
/* 	color: transparent; */
/* } */
/* #main #show-B:checked ~ .emploidutemps .groupe-A * { */
/* 	color: transparent; */
/* } */

#main table { display: inline; }

/* #main #show-all:checked ~ table.groupe-all { */
/*     display: inline; */
/* } */

#main table.groupe-unique {
    display: inline;
}

/* #main #show-A1:checked ~ #show-maths:checked ~ table.groupe-A1.mineure-maths { display: inline; } */
/* #main #show-A2:checked ~ #show-maths:checked ~ table.groupe-A2.mineure-maths { display: inline; } */
/* #main #show-B1:checked ~ #show-maths:checked ~ table.groupe-B1.mineure-maths { display: inline; } */
/* #main #show-B1:checked ~ #show-eco:checked ~ table.groupe-B1.mineure-eco { display: inline; } */
/* #main #show-B2:checked ~ #show-maths:checked ~ table.groupe-B2.mineure-maths { display: inline; } */
/* #main #show-B2:checked ~ #show-eco:checked ~ table.groupe-B2.mineure-eco { display: inline; } */



#main #show-maths:checked ~ table.mineure-eco { display: none; }
#main #show-eco:checked  ~ table.mineure-maths { display: none; }

#main #show-A1:checked ~ table.groupe-A2 { display: none; }
#main #show-A1:checked ~ table.groupe-B1 { display: none; }
#main #show-A1:checked ~ table.groupe-B2 { display: none; }

#main #show-A2:checked ~ table.groupe-A1 { display: none; }
#main #show-A2:checked ~ table.groupe-B1 { display: none; }
#main #show-A2:checked ~ table.groupe-B2 { display: none; }

#main #show-B1:checked ~ table.groupe-A1 { display: none; }
#main #show-B1:checked ~ table.groupe-A2 { display: none; }
#main #show-B1:checked ~ table.groupe-B2 { display: none; }

#main #show-B2:checked ~ table.groupe-A1 { display: none; }
#main #show-B2:checked ~ table.groupe-A2 { display: none; }
#main #show-B2:checked ~ table.groupe-B1 { display: none; }



/* pour ne pas afficher le bouton radio économie des groupes A1 et A2 */
#main #show-A1:checked ~ .show-eco { display: none; }
#main #show-A2:checked ~ .show-eco { display: none; }



#main .choix-l1 ul li {
    list-style-type: none;
    line-height: 115%;
    margin-top: 1pt;
    margin-bottom: 1pt;
}
#main .descriptif-cours p {
    text-align: justify;
}
#main .descriptif-cours ul li {
    margin-top: 1pt;
    margin-bottom: 1pt;
}
#main .descriptif-cours h6:before {
    content: "\00BB";
    margin-right: 6px;
}
#main .enseign-column {
    float: left;
    width: 49%;
}
#main .enseign ul li {
    line-height: 110%;
    margin-top: 1pt;
    margin-bottom: 1pt;
}
#main .enseign-row:after {
    content: "";
    display: table;
    clear: both;
}


.licence.enseignements #main .floatleft {
  width: 44%;
  margin-left: 2%;
}
